Android P может не работать со старыми приложениями

Софт
|

Разбирая API в превью Android P для разработчиков, пользователи заметили новое предупреждение, в котором сообщается, что приложение создано для старой версии Android и может работать некорректно. Также в предупреждении рекомендуется найти обновление или написать разработчику.

Android P

Android P поддерживает набор инструментов для разработчиков (API) версии 17, что соответствует совместимости только с приложениями для Android 4.2 Jelly Bean и новее. Пока неясно, сохранится ли предупреждение в финальной версии Android P или производитель заблокирует запуск старых программ.

Материалы по теме:

Android Jelly Bean популярнее остальных версий ОС
Android Jelly Bean популярнее остальных версий ОС
Jelly Bean 4.1 стал самой популярной версией Android
Jelly Bean 4.1 стал самой популярной версией Android
LG Optimus L9 обновился до Android 4.1 Jelly Bean
LG Optimus L9 обновился до Android 4.1 Jelly Bean